<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class NewCsiHistory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_sub_items_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('project_title')->nullable();
            $table->string('project_type_id');
            $table->string('project_type_fa');
            $table->string('operation_type_id1')->nullable();
            $table->string('operation_type_fa1')->nullable();
            $table->string('operation_type_amount1')->nullable();
            $table->string('operation_type_progress1')->nullable();
            $table->string('operation_type_id2')->nullable();
            $table->string('operation_type_fa2')->nullable();
            $table->string('operation_type_amount2')->nullable();
            $table->string('operation_type_progress2')->nullable();
            $table->string('operation_type_id3')->nullable();
            $table->string('operation_type_fa3')->nullable();
            $table->string('operation_type_amount3')->nullable();
            $table->string('operation_type_progress3')->nullable();
            $table->string('operation_type_id4')->nullable();
            $table->string('operation_type_fa4')->nullable();
            $table->string('operation_type_amount4')->nullable();
            $table->string('operation_type_progress4')->nullable();
            $table->string('city_id')->nullable();
            $table->string('city_fa')->nullable();
            $table->string('province_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->string('axis_type_id')->nullable();
            $table->string('axis_type_fa')->nullable();
            $table->string('axis_name_id')->nullable();
            $table->string('axis_name_fa')->nullable();
            $table->string('start_lat')->nullable();
            $table->string('end_lat')->nullable();
            $table->string('start_lng')->nullable();
            $table->string('end_lng')->nullable();
            $table->string('followup_priority_project')->nullable();
            $table->string('priority_project')->nullable();
            $table->string('operator_name')->nullable();
            $table->string('operator_phone')->nullable();
            $table->string('updated_at_fa')->nullable();
            $table->string('created_at_fa')->nullable();
            $table->string('last_status_id')->nullable();
            $table->string('last_status_fa')->nullable();
            $table->string('last_digit_project')->nullable();
            $table->string('last_function_operator')->nullable();
            $table->string('last_payable_operator')->nullable();
            $table->string('complete_payable')->nullable();
            $table->string('image_path1')->nullable();
            $table->string('image_path2')->nullable();
            $table->string('unique_code')->nullable();
            $table->unsignedBigInteger('subitem_id')->nullable();
            $table->foreign('subitem_id')->references('id')->on('contract_subitems');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_sub_items_histories');
    }
}